Bug 255114 - www/py-django-bootstrap-pagination: Switch from Django 3.0 to Django 3.2
Summary: www/py-django-bootstrap-pagination: Switch from Django 3.0 to Django 3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://www.djangoproject.com/download/
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-16 10:23 UTC by Kai Knoblich
Modified: 2021-04-18 08:40 UTC (History)
1 user (show)

See Also:
dbaio: maintainer-feedback+


Attachments
py-django-bootstrap-pagination-switch-to-django32.patch (1.63 KB, patch)
2021-04-16 10:23 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2021-04-16 10:23:59 UTC
Created attachment 224156 [details]
py-django-bootstrap-pagination-switch-to-django32.patch

Hi Danilo,

the extended support for Django 3.0 has expired on 6th April (see the link in the URL field for more details).

The attached patch switches www/py-django-bootstrap-pagination to Django 3.2 (LTS release, extended support until April 2024).

The patch also prevents the installation of the test suite into root directory of ${PYTHON_SITELIBDIR}.

- poudriere -> OK (11.4-RELEASE amd64 for py36, py37, py38 and py39)
Comment 1 Danilo G. Baio freebsd_committer 2021-04-17 14:06:24 UTC
Thanks.
Comment 2 Kai Knoblich freebsd_committer 2021-04-18 08:24:19 UTC
Comment on attachment 224156 [details]
py-django-bootstrap-pagination-switch-to-django32.patch

^ Triage: Set maintainer-approval flag to '+' as given by comment #1.
Comment 3 commit-hook freebsd_committer 2021-04-18 08:31:05 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7220a250ce9464445c5df399d89754368474c0ad

commit 7220a250ce9464445c5df399d89754368474c0ad
Author:     Kai Knoblich <kai@FreeBSD.org>
AuthorDate: 2021-04-18 07:28:03 +0000
Commit:     Kai Knoblich <kai@FreeBSD.org>
CommitDate: 2021-04-18 08:28:33 +0000

    www/py-django-bootstrap-pagination: Switch to Django 3.2

    * Adjust RUN_DEPENDS to use Django 3.2 (LTS release) because the
      extended support for Django 3.0 has expired on 6th April 2021.

    * Also avoid the installation of the test suite into the root of
      Python's site-lib directory as it can lead to conflicts with other
      packages.

    PR:             255114
    Approved by:    dbaio (maintainer)

 www/py-django-bootstrap-pagination/Makefile                |  3 ++-
 .../files/patch-setup.py (new)                             | 14 ++++++++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)
Comment 4 Kai Knoblich freebsd_committer 2021-04-18 08:40:39 UTC
(In reply to Danilo G. Baio from comment #1)

Committed, thank you for the quick review and approval!